"use client"
import { Box, Heading, Text, Link } from "@chakra-ui/react";
import Image from "next/image";
import NextLink from "next/link";
import { FaRegFileExcel } from "react-icons/fa6";

export default function IconBoxCard({ item } : any) {
  return (
    <Box maxW="sm" borderWidth="1px" borderRadius="lg" overflow="hidden" boxShadow="md">
      {item.asset !== null && (
        <Box p={2} color="white" textAlign="center" zIndex={-1}>
          {/* <FaRegFileExcel size={24} /> */}
          <Image
            alt={item.title}
            width={32}
            height={32}
            src={"https://images.hipdf.com/images2022/icons/word-pdf.svg"}
            color="inherit"
          />
        </Box>
      )}

      <Box p={4}>
          <Link as={NextLink} href="#" >
            <Heading fontSize="xl" fontWeight="bold" mb={2} color="primary.500">
              {item.title}
            </Heading>
          </Link>
        <Text fontSize="sm" color="primary.500" mb={2} noOfLines={2}>
          {item.description}
        </Text>
      </Box>
    </Box>
  );
}
